package env;

import org.objectweb.telosys.auth.IAppUser;

/**
 * Example of  Application User ( IAppUser ) implementation
 */
public class User implements IAppUser
{
	public static final int PROFILE_STANDARD = 0;

	public static final int PROFILE_ADMIN = 1;

	private String _sLogin = "";

	private String _sName = "";

	private String _sRole = "";

	private int _iProfile = PROFILE_STANDARD;

	/**
	 * @param sLogin :
	 * @param sName :
	 * @param iProfile :
	 */
	public User (final String sLogin, final String sName, final int iProfile)
	{
		_sLogin = sLogin;
		_sName = sName;
		_iProfile = iProfile;
	}

	/**
	 * Returns the specific user first page if any
	 * @see org.telosys.demo.auth.IAppUser#getFirstPage()
	 */
	public final String getFirstPage()
	{
		return null; // Default page
	}

	/**
	 * Returns the user language
	 * @see org.telosys.demo.auth.IAppUser#getLanguage()
	 */
	public final String getLanguage()
	{
		return "FR";
	}

	/**
	 * Returns the user profile
	 * @return the profile
	 */
	public final int getProfile()
	{
		return _iProfile;
	}

	/**
	 * Returns the user name
	 * @return the name
	 */
	public final String getName()
	{
		return _sName;
	}

	/**
	 * Returns the user login
	 * @return the login
	 */
	public final String getLogin()
	{
		return _sLogin;
	}

	/**
	 * Returns the user role
	 * @return the role
	 */
	public final String getRole()
	{
		return _sRole;
	}

	/**
	 * Returns true if the user has an admin role
	 * @return true if admin, else false
	 */
	public final boolean isAdmin()
	{
		return (_iProfile == PROFILE_ADMIN ? true : false);
	}
}