package env;

import org.objectweb.telosys.auth.IAppUser;
import org.objectweb.telosys.auth.IUserValidator;
import org.objectweb.telosys.common.TelosysObject;


/**
 * Example of IUserValidator implementation
 *
 */
public class UserValidator extends TelosysObject implements IUserValidator
{
	/**
	 * @see org.telosys.demo.auth.IUserValidator#validUser(java.lang.String, java.lang.String)
	 */
	public final IAppUser validUser(final String sLogin, final String sPassword)
	{
	    info("validUser("+sLogin+",***)");
		return checkUserPasswordOK (sLogin, sPassword);
	}
	
	/**
	 * For tests only !
	 * User authenticated if password is "OK"
	 * If authenticated, a dummy user is created and returned  
	 * @param sInputLogin
	 * @param sInputPassword
	 * @return
	 */
	private User checkUserPasswordOK(final String sInputLogin, final String sInputPassword)
	{
		User user = null;
		if ( sInputPassword.equalsIgnoreCase("ok") )
		{
		    user = new User(sInputLogin, "Toto", User.PROFILE_STANDARD);
		}
		return user ;
	}
	
}